package ru.yandex.webmaster3.core.semantic.semantic_document_parser.rdfa.exceptions;

import ru.yandex.webmaster3.core.semantic.semantic_document_parser.rdfa.data.RDFaEntity;
import ru.yandex.webmaster3.core.semantic.semantic_document_parser.location.EntityLocation;

/**
 * Created with IntelliJ IDEA.
 * User: aleksart
 * Date: 25.11.13
 * Time: 17:18
 * To change this template use File | Settings | File Templates.
 */
public class DatetimeFormatRDFaValidatorException extends RDFaException {
    public DatetimeFormatRDFaValidatorException(final boolean isCritical, final RDFaEntity data, final String message) {
        super(isCritical, data, message);
    }

    public DatetimeFormatRDFaValidatorException(final boolean isCritical, final RDFaEntity data, final String message, final EntityLocation location) {
        super(isCritical, data, message, location);
    }

    @Override
    public String getKey() {
        return "incorrect_date_format";
    }
}
